DescriptorProtos.UninterpretedOptionOrBuilder
Date: 2017-07-08

com.google.protobuf

## Interface DescriptorProtos.UninterpretedOptionOrBuilder

- All Superinterfaces:
    MessageLiteOrBuilder, MessageOrBuilder
  All Known Implementing Classes:
    DescriptorProtos.UninterpretedOption, DescriptorProtos.UninterpretedOption.Builder
  Enclosing class:
    DescriptorProtos

      public static interface DescriptorProtos.UninterpretedOptionOrBuilder
      extends MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAggregateValue()` `optional string aggregate_value = 8;`
    `ByteString` | `getAggregateValueBytes()` `optional string aggregate_value = 8;`
    `double` | `getDoubleValue()` `optional double double_value = 6;`
    `java.lang.String` | `getIdentifierValue()` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `ByteString` | `getIdentifierValueBytes()` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `DescriptorProtos.UninterpretedOption.NamePart` | `getName(int index)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `int` | `getNameCount()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `java.util.List<DescriptorProtos.UninterpretedOption.NamePart>` | `getNameList()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.NamePartOrBuilder` | `getNameOrBuilder(int index)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `java.util.List<? extends DescriptorProtos.UninterpretedOption.NamePartOrBuilder>` | `getNameOrBuilderList()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `long` | `getNegativeIntValue()` `optional int64 negative_int_value = 5;`
    `long` | `getPositiveIntValue()` `optional uint64 positive_int_value = 4;`
    `ByteString` | `getStringValue()` `optional bytes string_value = 7;`
    `boolean` | `hasAggregateValue()` `optional string aggregate_value = 8;`
    `boolean` | `hasDoubleValue()` `optional double double_value = 6;`
    `boolean` | `hasIdentifierValue()` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `boolean` | `hasNegativeIntValue()` `optional int64 negative_int_value = 5;`
    `boolean` | `hasPositiveIntValue()` `optional uint64 positive_int_value = 4;`
    `boolean` | `hasStringValue()` `optional bytes string_value = 7;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getNameList

          java.util.List<DescriptorProtos.UninterpretedOption.NamePart> getNameList()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### getName

          DescriptorProtos.UninterpretedOption.NamePart getName(int index)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### getNameCount

          int getNameCount()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### getNameOrBuilderList

          java.util.List<? extends DescriptorProtos.UninterpretedOption.NamePartOrBuilder> getNameOrBuilderList()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### getNameOrBuilder

          DescriptorProtos.UninterpretedOption.NamePartOrBuilder getNameOrBuilder(int index)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`

    - #### hasIdentifierValue

          boolean hasIdentifierValue()

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`

    - #### getIdentifierValue

          java.lang.String getIdentifierValue()

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`

    - #### getIdentifierValueBytes

          ByteString getIdentifierValueBytes()

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`

    - #### hasPositiveIntValue

          boolean hasPositiveIntValue()

      `optional uint64 positive_int_value = 4;`

    - #### getPositiveIntValue

          long getPositiveIntValue()

      `optional uint64 positive_int_value = 4;`

    - #### hasNegativeIntValue

          boolean hasNegativeIntValue()

      `optional int64 negative_int_value = 5;`

    - #### getNegativeIntValue

          long getNegativeIntValue()

      `optional int64 negative_int_value = 5;`

    - #### hasDoubleValue

          boolean hasDoubleValue()

      `optional double double_value = 6;`

    - #### getDoubleValue

          double getDoubleValue()

      `optional double double_value = 6;`

    - #### hasStringValue

          boolean hasStringValue()

      `optional bytes string_value = 7;`

    - #### getStringValue

          ByteString getStringValue()

      `optional bytes string_value = 7;`

    - #### hasAggregateValue

          boolean hasAggregateValue()

      `optional string aggregate_value = 8;`

    - #### getAggregateValue

          java.lang.String getAggregateValue()

      `optional string aggregate_value = 8;`

    - #### getAggregateValueBytes

          ByteString getAggregateValueBytes()

      `optional string aggregate_value = 8;`